<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-detail-user-heading" jhiTranslate="bikeBackendApp.detailUser.home.createOrEditLabel">Create or edit a Detail User</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.documentType" for="field_documentType">Document Type</label>
                    <select class="form-control" name="documentType" formControlName="documentType" id="field_documentType">
                        <option value="CC">{{ 'bikeBackendApp.DocumentType.CC' | translate }}</option>
                        <option value="CE">{{ 'bikeBackendApp.DocumentType.CE' | translate }}</option>
                        <option value="TI">{{ 'bikeBackendApp.DocumentType.TI' | translate }}</option>
                        <option value="PASAPORTE">{{ 'bikeBackendApp.DocumentType.PASAPORTE' | translate }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.documentNumber" for="field_documentNumber">Document Number</label>
                    <input type="text" class="form-control" name="documentNumber" id="field_documentNumber"
                           formControlName="documentNumber"/>
                    <div *ngIf="editForm.get('documentNumber')!.invalid && (editForm.get('documentNumber')!.dirty || editForm.get('documentNumber')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('documentNumber')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 15 }">
                        This field cannot be longer than 15 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.expeditionDate" for="field_expeditionDate">Expedition Date</label>
                    <div class="input-group">
                        <input id="field_expeditionDate" type="text" class="form-control" name="expeditionDate" ngbDatepicker #expeditionDateDp="ngbDatepicker" formControlName="expeditionDate"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="expeditionDateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.cellphone" for="field_cellphone">Cellphone</label>
                    <input type="text" class="form-control" name="cellphone" id="field_cellphone"
                           formControlName="cellphone"/>
                    <div *ngIf="editForm.get('cellphone')!.invalid && (editForm.get('cellphone')!.dirty || editForm.get('cellphone')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('cellphone')?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 12 }">
                        This field cannot be longer than 12 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.gender" for="field_gender">Gender</label>
                    <select class="form-control" name="gender" formControlName="gender" id="field_gender">
                        <option value="MASCULINO">{{ 'bikeBackendApp.Gender.MASCULINO' | translate }}</option>
                        <option value="FEMENINO">{{ 'bikeBackendApp.Gender.FEMENINO' | translate }}</option>
                        <option value="OTHER">{{ 'bikeBackendApp.Gender.OTHER' | translate }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.image" for="field_image">Image</label>
                    <div>
                        <img [src]="'data:' + editForm.get('imageContentType')!.value + ';base64,' + editForm.get('image')!.value" style="max-height: 100px;" *ngIf="editForm.get('image')!.value" alt="detailUser image"/>
                        <div *ngIf="editForm.get('image')!.value" class="form-text text-danger clearfix">
                            <span class="pull-left">{{ editForm.get('imageContentType')!.value }}, {{ byteSize(editForm.get('image')!.value) }}</span>
                            <button type="button" (click)="clearInputImage('image', 'imageContentType', 'file_image')" class="btn btn-secondary btn-xs pull-right">
                                <fa-icon icon="times"></fa-icon>
                            </button>
                        </div>
                        <input type="file" id="file_image" (change)="setFileData($event, 'image', true)" accept="image/*" jhiTranslate="entity.action.addimage"/>
                    </div>
                    <input type="hidden" class="form-control" name="image" id="field_image"
                           formControlName="image"/>
                    <input type="hidden" class="form-control" name="imageContentType" id="field_imageContentType"
                           formControlName="imageContentType" />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.birthdate" for="field_birthdate">Birthdate</label>
                    <div class="input-group">
                        <input id="field_birthdate" type="text" class="form-control" name="birthdate" ngbDatepicker #birthdateDp="ngbDatepicker" formControlName="birthdate"/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="birthdateDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
                        </span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.detailUser.user" for="field_user">User</label>
                    <select class="form-control" id="field_user" name="user" formControlName="userId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="userOption.id" *ngFor="let userOption of users; trackBy: trackById">{{ userOption.firstName }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
